%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gnuradio
Version:        3.1.1
Release:        1%{?dist}
Summary:        Software defined radio framework

Group:          Applications/Engineering
License:        GPLv3
URL:            http://www.gnuradio.org
Source0:        ftp://ftp.gnu.org/gnu/gnuradio/gnuradio-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sdcc
BuildRequires:  fftw-devel
BuildRequires:  cppunit-devel
BuildRequires:  wxPython-devel
BuildRequires:  libusb-devel
BuildRequires:  xmlto
BuildRequires:  graphviz

%description
GNU Radio is a collection of software that when combined with minimal 
hardware, allows the construction of radios where the actual waveforms 
transmitted and received are defined by software. What this means is 
that it turns the digital modulation schemes used in today's high 
performance wireless devices into software problems.

%package devel
Summary:        GNU Radio
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description devel
GNU Radio Headers

%package doc
Summary:        GNU Radio
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description doc
GNU Radio Documentation

%package usrp
Summary:        Universal Software Radio Peripheral
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description usrp
GNU Radio USRP files

%prep
%setup -q

%build
PATH=/usr/libexec/sdcc:$PATH
%configure --enable-doxygen --enable-latex-doc --disable-gr-audio-oss
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README README.hacking NEWS
%{python_sitelib}/gnuradio
%{python_sitelib}/usrpm
%{_bindir}/usrp*
%{_libdir}/libgnuradio-core*
%{_libdir}/libusrp.*
%{_libdir}/libgromnithread*
%{_libdir}/libgr_audio_alsa*
%{_libdir}/pkgconfig/*.pc    
%{_datadir}/usrp
%{_sysconfdir}/gnuradio
%config(noreplace)%{_sysconfdir}/gnuradio/conf.d/gr-audio-alsa.conf
%config(noreplace)%{_sysconfdir}/gnuradio/conf.d/gnuradio-core.conf
%config(noreplace)%{_sysconfdir}/gnuradio/conf.d/gr-wxgui.conf

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnuradio
%{_includedir}/usrp_*

%files doc
%defattr(-,root,root,-)
%{_datadir}/doc/usrp*
%{_datadir}/gnuradio

%files usrp
%defattr(-,root,root,-)

%changelog
* Wed Feb 20 2008 Marek Mahut <mmahut@fedoraproject.org> - 3.1.1-1
- Upstream release
- Spec file rewrite

* Mon Mar 12 2007 Trond Danielsen <trond.danielsen@gmail.com> - 3.0.3-1
- Initial version.
